@import url(https://fonts.googleapis.com/css?family=Quicksand);

:root{
  --theme-color-1:rgba(101,99,255,0.1);
  --theme-color-2:rgba(65,45,80,0.03);
  --theme-color-3:rgb(255,255,255);
  --opacity-value: 1 ;
  --text-color: rgba(65,45,80,var(--opacity-value));
}


html {font-size: 0.875em;}


body { 
    display: grid;
    grid-template-areas: 
      "header nav"
      "article article"
      "footer footer";
    grid-template-rows: 100px repeat(2, 1fr);
    grid-template-columns: repeat(2, 1fr);
    grid-row-gap: 5px;
    grid-column-gap: 5px;
    height: 100vh;
    margin: 0;
    font-family:'Quicksand';
    font-weight:300;
    text-decoration:none;
    font-feature-settings:'kern','liga' 0,'clig' 0,'calt' 0;
    text-transform: none;
    color: var(--text-color);
    background-color:Transparent;
    letter-spacing:0em;
    line-height: 1.45;
   
    }  

    #body-blog { 
      display: grid;
      grid-template-areas: 
        "header header nav"
        "article article sidebar"
        "footer footer footer";
      grid-template-rows: 100px repeat(2, 1fr);
      grid-template-columns: repeat(3, 1fr);
      grid-row-gap: 5px;
      grid-column-gap: 5px;
      height: 100vh;
      margin: 0;
      font-family:'Quicksand';
      font-weight:300;
      text-decoration:none;
      font-feature-settings:'kern','liga' 0,'clig' 0,'calt' 0;
      text-transform: none;
      color: var(--text-color);
      background-color:Transparent;
      letter-spacing:0em;
      line-height: 1.45;
      margin: auto;
     
      }  

.text {
  --opacity-value: 0.8 ;
  --text-color: rgba(65,45,80,var(--opacity-value));
    color:var(--text-color);
  


}    
      

p {
  margin-bottom: 1.3em;
  --opacity-value: 0.8 ;
  --text-color: rgba(65,45,80,var(--opacity-value));
    color:var(--text-color);
  


}    

h1, h2, h3, h4 {
    margin: 1.414em 0 0.5em;       
    line-height: 1.2;
    color:var(--text-color);
    
}


h1 {
    font-weight:500;
    font-size:3.157em;
    font-feature-settings: 'calt' 0, 'smcp' 1;

}

h2 {

    font-weight:500;
    font-size:2.369em;
}

h3 {

    font-weight:400;
    font-size:1.7em;
    --opacity-value: 0.9 ;
    --text-color: rgba(65,45,80,var(--opacity-value));
    color:var(--text-color);
  
}

h4 {

    font-weight:400;
    font-size:1.3em;
}


.small {

    font-weight:500;
    font-size:0.75em
}


.button {
    --background-color: var(--text-color);
    --color: #FFFFFF;
    --border-color: transparent;
   
    background-color: var(--background-color);
    border-color: var(--border-color);
    border-width: 1px;
    font-size: 14px;
    color: var(--color);
    padding: 15px;
    border-radius: 25px;
    width: 150px;
    text-align: center;
    -webkit-transition-duration: 0.4s; /* Safari */
    transition-duration: 0.4s;
    text-decoration: none;
    overflow: hidden;
    cursor: pointer;
  }

  
  .button:hover {
    --background-hover-color: #ffffff;
     --color-hover: #713b99;
     --border-hover-color: var(--text-color);
    background-color: var(--background-hover-color);
    color: var(--color-hover);
    border-color: var(--border-hover-color);
  }
    
   
    header {
    padding: 0em;
    background: white;
    }
   
  #pageHeader {
    grid-area: header;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-content: center;
    justify-items: center;
    
    }
    
  
  
  #pageFooter {
    grid-area: footer;
    }
  #mainArticle { 
    grid-area: article;      
    
    }

  #sidebar {
    grid-area: sidebar;
    display: grid;
    align-items: start;
    justify-content: center;
  }  
  
  #siteNav {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  grid-area: nav; 
  margin-right: 5vw
    
  }  
  #siteNav li {   
    display: inline;
    
    
  } 
  header a{
      color: #ffffff;
      text-decoration: none;
      text-transform: uppercase;
      font-size: 16px;
  
    }
    
    header #branding {
      margin-left: 0px;
    }

    
  .layout-image-right {
      display: grid;
      grid-template-columns: 2fr 1fr ;
      grid-column-gap: 10px;
      max-width:1120px;
      min-height: 594px;
      margin: auto;    
      justify-content:center;
      align-content: start;
      
  }

  
  .layout-image-left  {
    display: grid;
    grid-template-columns: 1fr 2fr ;
    grid-column-gap: 10px;
    max-width:1120px;
    min-height: 594px;
    margin: auto;
    justify-content:center;
    align-content: center;    
    
}
.layout-split-equal  {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(400px, 2fr));
  grid-column-gap: 10px;
  max-width:1120px;
  margin: auto;
  justify-content:center;
  align-content: start;    
  
}

.layout-split-equal-body > h1 {

  margin-top: 0;       
  
}

.layout-split-equal-heading {
  display: grid;
  grid-template-columns: 1fr;
  max-width:1120px;
  margin: auto;
  padding: 0 10px;
  justify-content:center;
  align-content: center;    
  text-align: center;
 

}


.layout-centered  {
  margin: auto;  
  display: grid;
  grid-column-gap: 100px;
  max-width:1120px;
  min-height: 480px;
  justify-content:center;
  align-content: start;
  text-align: center;
  
 
  
}

.layout-centered p  {
  max-width: 800px;
}


.layout-card-heading {
  display: grid;
  grid-template-columns: 1fr;
  max-width:1120px;
  margin: auto;
  padding: 0 10px;
  justify-content:center;
  align-content: center;    
 

}


.layout-blog {
  display: grid;
  grid-template-areas: "blogMain blogMain blogSidebar";
  grid-template-columns: repeat(3, 1fr);
      grid-column-gap: 10px;
      max-width:1120px;
      min-height: 594px;
      margin: auto;    
      justify-content:center;
      align-content: center;
 
}

#blogMain {
  grid-area: blogMain;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  margin: auto;
  grid-gap: 10px;

  align-items: stretch;
  padding: 0 5px;
  justify-content:center;
  align-content: center;    

  
  }
#blogSidebar { 
  grid-area: blogSidebar;
  display: grid;      
  grid-template-columns: 1fr;

  
  
  }



.layout-blog .item1 {
  
  grid-column-start: 1;
  grid-column-end: 3;
}


#blogMain > .card:nth-child(even) {
  background: var(--theme-color-1)
}
#blogMain > .card:nth-child(odd) {
  background: var(--theme-color-2)
}


.layout-card {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  grid-gap: 10px;
  max-width:1120px;
  min-height: 594px;
  margin: auto;
  align-items: stretch;
  padding: 0 10px;
  justify-content:center;
  align-content: center;    
 
}



.card .text {
  padding: 0 20px 20px;
}
.layout-card > .card img {
  max-width: 100%;
}

.layout-card > .card:nth-child(even) {
    background: var(--theme-color-1)
  }
.layout-card > .card:nth-child(odd) {
    background: var(--theme-color-2)
  }

.layout-singleflow{
    padding:50px 10px;
    max-width:1120px;
    min-height: 594px;
  }  

  #articlePage {
    display: grid;
    grid-template-columns: 1fr;
    align-content: center;
    justify-items: center;
    margin: auto;
  }

#article1, #article4, #article7 {
        background:  var(--theme-color-1);
      
}
#article1 .button , #article4 .button {
  --background-color: #ffffff;
        --border: 10px;
        --color: #bc63ff;
        --background-hover-color: #713b99;
        --color-hover: #FFFFFF;
        --background-color: #ffffff;
        --color: #bc63ff;
        --border-color: var(--text-color);
        --background-hover-color: var(--text-color);
         --color-hover: #fff;
         --border-hover-color: transparent;
} 

#article2 , #article5, footer {
        background:  var(--theme-color-2);
    }
     

#article3, #article6, #articlePage {
        background:  var(--theme-color-3);
    }

  
  .panelContentMain {
    padding-left: 10px;
    
  }
  
  img {max-width: 100%;
}

.jumbo {
  margin-top:80px;
}
  .panelContent {
    padding-right: 10px;
    padding-left: 10px;
    text-align: right;
    
}


footer {
    padding: 0em;
    
    }

.footer-content {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-content: center;
    justify-items: center;
    padding-left:10px;
}





  /* Stack the layout on small devices/viewports. */

  @media all and (max-width: 720px) {

    .layout-blog {
      grid-template-areas: 
      "blogMain" 
      "blogSidebar";
      grid-template-columns: 1fr;
     }
  
     #blogMain > .card {
      grid-column-start: 1;
      grid-column-end: 3;
      margin:20px;
     }
     
  

  }
  

  @media all and (max-width: 960px) {
    body { 
      grid-template-areas: 
        "header"
        "nav"
        "article"
        "footer";
      grid-template-rows: 80px 70px 1fr 1fr;  
      grid-template-columns: 1fr;
   }

   
   .layout-image-right, .layout-image-left, .layout-card , .layout-card-heading, .layout-centered, .layout-split-equal, .layout-split-equal-heading  {
    grid-template-columns: 1fr ;
    max-width: 480px;
   }
   .panelContent {
    text-align: left;
   }

   .panelContentMain {
     padding: 0;
     margin: 0 10px;
   }
   .layout-card {
       
    grid-template-columns: repeat(auto-fill, minmax(200px, 400px));
   }
   #pageHeader {
    align-content: center;
    justify-items: start;
       
   }
   header #branding {
    margin-left: 10px;
  }

  .footer-content {
    display: grid;
    grid-template-columns: 1fr;
    
    text-align: center;
    align-content: center;
    justify-items: center;
    
  }

  
  
  }
  